Subject: Re: bug#66604: [PATCH] Gud LLDB completions

From: Gerd Möllmann <[email-masked]>
Date: Mon, 23 Oct 2023 19:57:37 +0200

Mattias Engdegård <[email-masked]> writes:

> 23 okt. 2023 kl. 07.31 skrev Gerd Möllmann <[email-masked]>:
>
>> Since the problem won't go away any time soon, I've now comitted
>> something maximally simple to work around it.  Could you please confirm
>> that it works for you?
>
> It didn't really: the pattern was far too ad-hoc and it didn't even
> handle the test case we were talking about (b redisplay_internal; c).

Ok. Good that I asked.

> It's now been made sleightly more capable.

Fine. I wouldn't have done it.

> I wasn't kidding about the `eval` needing to go, though -- it really
> does. Would you oblige?

So, you're not kidding, I'm impressed :-).  IOW, that came across a bit
weird.  But no harm done.

You could have looked a few lines above what you insrted, though.